'use strict';

const FS = require("fire-fs");
const Path = require("fire-path");

module.exports = {

    messages: {

        'editor:build-start': function(event, target) {
            let src = Path.normalize(Path.join(target.dest, 'res', 'sdkboxgpg.js'));
            if (FS.existsSync(src)) {
                FS.copy(src,
                    Path.normalize(Path.join(Editor.projectInfo.path, 'temp', 'SDKBox', 'sdkboxgpg.js')),
                    function(err) {
                        if (err) {
                            Editor.log(`SDKBox: backup sdkboxgpg.js failed: ${err}`);
                        } else {
                            Editor.log('SDKBox: backup sdkboxgpg.js sussess');
                        }
                    });
            }
        },

        'editor:build-finished': function(event, target) {
            let src = Path.normalize(Path.join(Editor.projectInfo.path, 'temp', 'SDKBox', 'sdkboxgpg.js'));
            if (FS.existsSync(src)) {
                FS.copy(src,
                    Path.normalize(Path.join(target.dest, 'res', 'sdkboxgpg.js')),
                    function(err) {
                        if (err) {
                            Editor.log(`SDKBox: write sdkboxgpg.js failed: ${err}`);
                        } else {
                            Editor.log('SDKBox: write sdkboxgpg.js sussess');
                        }
                    });
            }
        },

    }

};
